@echo off
echo ----- Assembling Death From Above for Ion 83 Plus...

echo #define TI83P >temp.z80
if exist dfa.z80 type dfa.z80 >>temp.z80

tasm -80 -i -b -e temp.z80 dfa.bin
if errorlevel 1 goto ERRORS
devpac8x dfa

echo ----- Assembling Death From Above for Ion 83...

echo #define TI83 >temp.z80
if exist dfa.z80 type dfa.z80 >>temp.z80

tasm -80 -i -b -e temp.z80 dfa.bin
if errorlevel 1 goto ERRORS
devpac83 dfa

echo ----- Success!
echo TI-83 version is dfa.83p
echo TI-83 Plus version is dfa.8xp
goto DONE

:ERRORS
echo ----- There were errors.

:DONE
del temp.z80 >nul
del temp.lst >nul
del dfa.bin >nul
