; The Best Damn Sprite Routine Period (modified)
; 
; AUTHOR: Sean McLaughlin (sigma_ti@yahoo.com)
;
; DESCRIPTION:
;	ORs an 8-by-N sprite to PlotSScreen
;
; INPUT:
;	IX	Pointer to sprite height
;	IX+1	Pointer to start of sprite data
;	A	Abscissa
;	E	Ordinate
; DESTROYS:
;	All
;
#define	PIXEL_SHIFT	srl c \ rra

PutSprite:
	ld	b,(ix)
	sla	e
	sla	e
	ld	l,e
	ld	h,$00
	ld	d,h
	add	hl,hl
	add	hl,de

	ld	e,a
	sra	e
	sra	e
	sra	e
	inc	e
	add	hl,de
	ld	de,PlotSScreen
	add	hl,de

	ld	de,13

	and	$07
	sub	7
	neg
	ld	c,a
	add	a,a
	add	a,c
	ld	(Shifting+1),a
ShiftBlit:
	ld	c,(ix+1)
	xor	a
Shifting:
	jr	$+69
	PIXEL_SHIFT	; srl  c \ rra
	PIXEL_SHIFT
	PIXEL_SHIFT
	PIXEL_SHIFT
	PIXEL_SHIFT
	PIXEL_SHIFT
	PIXEL_SHIFT

	or	(hl)
	ld	(hl),a
	dec	hl
	ld	a,c
	or	(hl)
	ld	(hl),a

	add	hl,de
	inc	ix
	djnz	ShiftBlit
	ret

.end